## mauikit-documents 4.0.2+p24.04+vstable+git20250828.0546

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vstable+git20250828.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 05:46:18 +0000

mauikit-documents (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 13:41:15 +0000

mauikit-documents (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 13:41:17 +0000

mauikit-documents (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 13:41:26 +0000

mauikit-documents (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 13:41:06 +0000

mauikit-documents (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 13:41:07 +0000

mauikit-documents (3.0.1-oneon) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2023 19:57:31 +0000

mauikit-documents (1.1.0) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000

## mauikit-documents 4.0.2+p24.04+vstable+git20250930.0500

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vstable+git20250930.0500-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:00:34 +0000

## mauikit-documents 4.0.2+p24.04+vstable+git20251015.1842

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Camilo Higuita <milo.h@aol.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

set(QT_MAJOR_VERSION 6)
set(REQUIRED_QT_VERSION 6.4)

set(KF_MAJOR_VERSION 6)
set(REQUIRED_KF_VERSION 5.240.0)

set(MAUI_MAJOR_VERSION 4)
set(MAUIKIT_VERSION 4.0.2)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

if(POLICY CMP0063)
    cmake_policy (SET CMP0063 NEW)
endif(POLICY CMP0063)

set(AUTOMOC_MOC_OPTIONS -Muri=org.mauikit.documents)

project(Documents LANGUAGES CXX VERSION ${MAUIKIT_VERSION})

find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(GNUInstallDirs)
include(FeatureSummary)
include(CMakePackageConfigHelpers)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(KDEPackageAppTemplates)
include(KDEClangFormat)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(ECMQtDeclareLoggingCategory)
include(ECMSourceVersionControl)

option(QUICK_COMPILER "Use QtQuick compiler to improve performance" TRUE)

if(ANDROID)
    find_package(Gradle REQUIRED)
endif()

if(UNIX AND NOT ANDROID)
    find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS Config)
endif()

find_package(Qt${QT_MAJOR_VERSION}  ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS
    Core
    Quick
    Concurrent)

find_package(KF${KF_MAJOR_VERSION}  ${REQUIRED_KF5_VERSION} REQUIRED COMPONENTS
    I18n
    CoreAddons)

find_package(MauiKit${MAUI_MAJOR_VERSION} ${MAUIKIT_VERSION})

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${PROJECT_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

if (QT_KNOWN_POLICY_QTP0004)
    qt_policy(SET QTP0004 NEW)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MauiKitDocuments${MAUI_MAJOR_VERSION}")

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX Documents
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/documents_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MauiKitDocuments${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    SOVERSION ${PROJECT_VERSION_MAJOR})

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/MauiKitDocumentsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitDocuments${MAUI_MAJOR_VERSION}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitDocuments${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitDocuments${MAUI_MAJOR_VERSION}Config.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)

install(EXPORT MauiKitDocuments${MAUI_MAJOR_VERSION}Targets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE MauiKitDocuments${MAUI_MAJOR_VERSION}Targets.cmake
    NAMESPACE MauiKit${MAUI_MAJOR_VERSION}::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/documents_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/Documents
    COMPONENT Devel)

add_definitions(-DTRANSLATION_DOMAIN="mauikitdocuments")
ki18n_install(po)

add_subdirectory(src)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/code/epub/CMakeLists.txt ===
set(PLUGIN_DIR Epub)

set(epubreader_SRCS
    epubreader.cpp
    cbzreader.cpp
    pdfreader.cpp
    epubreaderplugin.cpp
    quazip/JlCompress.cpp
    quazip/qioapi.cpp
    quazip/quacrc32.cpp
    quazip/quaadler32.cpp
    quazip/quazip.cpp
    quazip/quazipfile.cpp
    quazip/quagzipfile.cpp
    quazip/quazipfileinfo.cpp
    quazip/quaziodevice.cpp
    quazip/quazipnewinfo.cpp
    quazip/unzip.c
    quazip/zip.c
    ../qhttpserver/qhttpconnection.cpp
    ../qhttpserver/qhttpresponse.cpp
    ../qhttpserver/qhttpserver.cpp
)

add_library(epubreaderplugin MODULE
    ${epubreader_SRCS}
)

qt5_use_modules(epubreaderplugin Gui Xml Qml Quick)
target_link_libraries(epubreaderplugin poppler-qt5)

# Copy the plugin file to the build dir
set_target_properties(epubreaderplugin PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
)

# Copy the qmldir file to the build dir
add_custom_command(TARGET epubreaderplugin POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
)

# Install plugin file
string(REPLACE "//" "/" LIB_DIR ${DATA_DIR}/${PLUGIN_DIR})
install(TARGETS epubreaderplugin DESTINATION ${LIB_DIR})
install(FILES qmldir DESTINATION ${LIB_DIR})

=== src/code/cbz/code/acbf/CMakeLists.txt ===
set(acbf_SRCS
    AcbfAuthor.cpp
    AcbfBinary.cpp
    AcbfBody.cpp
    AcbfBookinfo.cpp
    AcbfContentrating.cpp
    AcbfData.cpp
    AcbfDatabaseref.cpp
    AcbfDocument.cpp
    AcbfDocumentinfo.cpp
    AcbfFrame.cpp
    AcbfIdentifiedObjectModel.cpp
    AcbfInternalReference.cpp
    AcbfInternalReferenceObject.cpp
    AcbfJump.cpp
    AcbfLanguage.cpp
    AcbfMetadata.cpp
    AcbfPage.cpp
    AcbfPublishinfo.cpp
    AcbfReferences.cpp
    AcbfReference.cpp
    AcbfSequence.cpp
    AcbfStyle.cpp
    AcbfStyleSheet.cpp
    AcbfTextarea.cpp
    AcbfTextlayer.cpp)

set(acbf_HEADERS
    AcbfAuthor.h
    AcbfBinary.h
    AcbfBody.h
    AcbfBookinfo.h
    AcbfContentrating.h
    AcbfData.h
    AcbfDatabaseref.h
    AcbfDocument.h
    AcbfDocumentinfo.h
    AcbfFrame.h
    AcbfIdentifiedObjectModel.h
    AcbfInternalReference.h
    AcbfInternalReferenceObject.h
    AcbfJump.h
    AcbfLanguage.h
    AcbfMetadata.h
    AcbfPage.h
    AcbfPublishinfo.h
    AcbfReferences.h
    AcbfReference.h
    AcbfSequence.h
    AcbfStyle.h
    AcbfStyleSheet.h
    AcbfTextarea.h
    AcbfTextlayer.h)

ecm_qt_declare_logging_category(acbf_SRCS
    HEADER acbf_debug.h
    IDENTIFIER ACBF_LOG
    CATEGORY_NAME org.kde.peruse.acbf
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Advanced Comic Book Format (aka ACBF)"
    EXPORT AdvancedComicBookFormat)

add_library(acbf STATIC ${acbf_SRCS})
set_property(TARGET acbf PROPERTY POSITION_INDEPENDENT_CODE ON)

include(ECMGenerateExportHeader)

target_link_libraries(acbf
    PUBLIC
    Qt${QT_MAJOR_VERSION}::Core)
#target_include_directories(acbf
#    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AdvancedComicBookFormat>"
#)

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vstable+git20251015.1842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:42:24 +0000

=== debian/control ===
Source: mauikit-documents
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kfilemetadata-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               libpoppler-qt6-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-documents.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-documents
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-documents
Architecture: any
Depends: libmauikit,
         libmauikitdocuments4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-mauikit-documents (<< 4.0.0)
Replaces: qml-module-mauikit-documents (<< 4.0.0)
Description: MauiKit QtQuick plugins for text editing
 This package contains the mauikit text editing qml module.

Package: libmauikitdocuments4
Architecture: any
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Breaks: libmauikitdocuments3 (<< 4.0.0)
Replaces: libmauikitdocuments3 (<< 4.0.0)
Description: MauiKit QtQuick plugins for text editing
 This package contains the mauikit text editing library.

Package: libmauikitdocuments-dev
Architecture: any
Depends: libmauikitdocuments4,
         libpoppler-dev,
         libpoppler-private-dev,
         libpoppler-qt6-dev,
         qml6-module-org-mauikit-documents,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit QtQuick plugins for text editing
 This package contains mauikit text editing development files.

Package: libmauikitdocuments3
Architecture: all
Depends: libmauikitdocuments4, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-module-org-mauikit-documents
Architecture: all
Depends: qml6-module-org-mauikit-documents, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export QT_SELECT=qt6

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT6=ON

## mauikit-documents 4.0.2+p24.04+vstable+git20251028.1008

=== src/code/cbz/code/karchive-rar/CMakeLists.txt ===
project(KRar C)


find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS Archive)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core )


set(unarr_SRCS
    unarr/rar/uncompress-rar.c
    unarr/rar/huffman-rar.c
    unarr/rar/rar.c
    unarr/rar/filter-rar.c
    unarr/rar/rarvm.c
    unarr/rar/parse-rar.c
    unarr/lzmasdk/Ppmd7.c
    unarr/lzmasdk/Ppmd8.c
    unarr/lzmasdk/CpuArch.c
    unarr/lzmasdk/LzmaDec.c
    unarr/lzmasdk/Ppmd7Dec.c
    unarr/lzmasdk/Ppmd8Dec.c
    unarr/common/custalloc.c
    unarr/common/unarr.c
    unarr/common/stream.c
    unarr/common/conv.c
    unarr/common/crc32.c)

add_library(karchive-c-unarr STATIC ${unarr_SRCS})
set_property(TARGET karchive-c-unarr PROPERTY POSITION_INDEPENDENT_CODE ON)

if (UNIX OR MINGW)
#    target_compile_options(karchive-c-unarr PUBLIC  KARCHIVE-C-UNARR)
    target_compile_options(karchive-c-unarr PRIVATE -std=gnu99 -fomit-frame-pointer -D_FILE_OFFSET_BITS=64 -fPIC)
    set_property(TARGET karchive-c-unarr PROPERTY AUTOMOC OFF)
endif (UNIX OR MINGW)

if (ZLIB_FOUND)
    target_include_directories(karchive-c-unarr PRIVATE ${ZLIB_INCLUDE_DIRS})
endif(ZLIB_FOUND)

add_library(iface_karchive-c-unarr  INTERFACE)
target_link_libraries(iface_karchive-c-unarr  INTERFACE karchive-c-unarr  $<TARGET_OBJECTS:karchive-c-unarr>)

set(karchive_rar_SRCS
    KRar.cpp
    KRarFileEntry.cpp)

add_library (krarlib
    STATIC
    ${karchive_rar_SRCS})

target_include_directories(krarlib
    PUBLIC
    unarr
    ${CMAKE_CURRENT_SOURCE_DIR})

target_link_libraries (krarlib
    PUBLIC
    iface_karchive-c-unarr

    Qt${QT_MAJOR_VERSION}::Core
    KF${KF_MAJOR_VERSION}::Archive)

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vstable+git20251028.1008-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:08:19 +0000

## mauikit-documents 4.0.2+p24.04+vstable+git20251113.0707

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vstable+git20251113.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 07:07:32 +0000

## mauikit-documents 4.0.2+p24.04+vunstable+git20251028.0915

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vunstable+git20251028.0915-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:15:58 +0000

## mauikit-documents 4.0.2+p24.04+vunstable+git20251113.0837

=== debian/changelog ===
mauikit-documents (4.0.2+p24.04+vunstable+git20251113.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 08:37:26 +0000
